Subject: Re: [PATCH v2 5/5] remote: announce removal of "branches/" and "remotes/"

From: Junio C Hamano <[email-masked]>
Date: Thu, 09 Jan 2025 07:54:08 -0800

Patrick Steinhardt <[email-masked]> writes:

> So I'm inclined to leave this as-is, maybe adding an escape hatch to
> silence the warnings via an environment variable to give users a bit of
> time to migrate.

OK.  I strongly prefer simpler implementation, as long as it won't
make end-user experience (over time across Git 3.0 boundary) overly
unpleasant.

Numbing the pain for short-term gain and letting the inevitable
removal (not deprecation) suddenly hit them is also extremely
unpleasant at Git 3.0 boundary, and such a pain is probably a
problem of their own creation, but I learned after Git 1.6 fiasco
that users always blame us for their own failings, so I still am
fairly reluctant to see us offer a way to squelch the warnings too
easily and forget about it.

Thanks.